<?php
/*
$Id: imagecheck.php,v 1.2 2002/12/10 16:01:04 crawford Exp $
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2002 osCommerce
  Released under the GNU General Public License
  version 1.0 by Mike Crawford (http://www.nothinbutprints.com)
  version 1.1 by Mattice (http://www.matthijs.org)
  version 1.2 by Gareth Evans (gevans@csctoronto.com)
  $Id: imagecheck.php ver 1.391 by Linda McGrath 2011-11-15
  $Id: imagecheck.php ver 1.392 by torvista 2011-11-18

*/

  require('includes/application_top.php');

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js" type="text/javascript"></script>
<script language="javascript" src="includes/general.js" type="text/javascript"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  }
  // -->
</script>
</head>

<body onLoad="init()">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //--> 

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2" summary="body container">
  <tr> 
    <!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2" summary="page container">
        <tr>
          <td><table border="0" width="100%" cellspacing="0" cellpadding="0" summary="page description">
              <tr>
                <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
                <td class="pageHeading" align="right"><?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
              </tr>
            </table>
            <!--eof table page description--></td>
        </tr>
        <tr>
          <td><table border="0" width="80%" align="left" summary="missing images list">
              <tr>
                <td><?php
						// Report to user what we're actually doing
 						echo TEXT_DIR_LOCATION . "<br />\n<strong>" . DIR_FS_CATALOG_IMAGES . "</strong><br />\n" . TEXT_DIR_ERROR . "</td></tr>\n<tr><td>";

 						$imagecheck_query = $db->Execute("select p.products_id, p.products_model, p.products_image, pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd  where p.products_id = pd.products_id and pd.language_id = '" . (int)$_SESSION['languages_id'] . "' order by products_id");

 						$imagenumber = $imagecheck_query->RecordCount();
						$misstotal = 1;

						while (!$imagecheck_query->EOF){
  						if (!file_exists(DIR_FS_CATALOG_IMAGES . $imagecheck_query->fields['products_image'])){
    						$list .= "<dl>\n<dt><strong>" . TEXT_MISSING_TOTAL . $misstotal . "</strong>\n";
    						$list .= '<dd>' . TEXT_MISSING_NAME . $imagecheck_query->fields['products_name']."\n";
    						$list .= '<dd>' . TEXT_MISSING_MODEL . $imagecheck_query->fields['products_model']."\n";
    						$list .= '<dd>' . TEXT_MISSING_LOCATION . DIR_FS_CATALOG_IMAGES . $imagecheck_query->fields['products_image']."\n";
    						$list .= '<dd>' . TEXT_MISSING_REPAIR . '<a href="' . zen_href_link(FILENAME_CATEGORIES, 'action=new_product' . '&amp;cPath=' . zen_get_product_path($imagecheck_query->fields['products_id']) . '&amp;pID=' . $imagecheck_query->fields['products_id'] . '&amp;product_type=' . zen_get_products_type($imagecheck_query->fields['products_id'])) . '" target="_blank">';
    						$list .= TEXT_MISSING_EDIT ."</a>\n";
    						$list .= '</dl>';
    						$misstotal ++;
  						}
              $imagecheck_query->MoveNext();
						}

						echo '</td></tr><tr><td>';
						print TEXT_COUNT_COMPLETE . $imagenumber . "<br />\n";
						print TEXT_COUNT_MISSING . '<strong>' . ($misstotal-1) . "</strong><br />\n";
						print $list;
					?></td>
              </tr>
            </table>
            <!--eof table missing images list--></td>
        </tr>
      </table>
      <!--eof table page container--></td>
    <!-- body_text_eof //--> 
  </tr>
</table>
<!--eof table body container--> 
<!-- body_eof //--> 

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>